Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TransactionManagerService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.tm.plugins.tyrex.TransactionManagerService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.naming.spi.ObjectFactory, Service, ServiceMBean, TransactionManagerServiceMBean

public class TransactionManagerService
extends ServiceMBeanSupport
implements TransactionManagerServiceMBean, javax.naming.spi.ObjectFactory

This is a JMX service which manages the Tyrex TransactionManager (tyrex.exolab.org). The service creates it and binds a Reference to it into JNDI. It also initializes the object that manages Tyrex TransactionPropagationContext.

Version:
  $Revision: 1.1.4.2 $
Author:
  Anatoly Akkerman
See Also:

Field Summary
`static java.lang.String` | `JNDI_EXPORTER`
`static java.lang.String` | `JNDI_IMPORTER`
`static java.lang.String` | `JNDI_NAME`
`static java.lang.String` | `JNDI_TPC_RECEIVER`
`static java.lang.String` | `JNDI_TPC_SENDER`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.tm.plugins.tyrex.TransactionManagerServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`TransactionManagerService()`

Method Summary
`java.lang.String` | `getConfigFileName()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `setConfigFileName(java.lang.String name)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### JNDI_NAME

    public static java.lang.String JNDI_NAME

### JNDI_TPC_SENDER

    public static java.lang.String JNDI_TPC_SENDER

### JNDI_TPC_RECEIVER

    public static java.lang.String JNDI_TPC_RECEIVER

### JNDI_IMPORTER

    public static java.lang.String JNDI_IMPORTER

### JNDI_EXPORTER

    public static java.lang.String JNDI_EXPORTER

Constructor Detail

### TransactionManagerService

    public TransactionManagerService()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### getConfigFileName

    public java.lang.String getConfigFileName()

  Specified by:
    `getConfigFileName` in interface `TransactionManagerServiceMBean`

### setConfigFileName

    public void setConfigFileName(java.lang.String name)
                           throws java.io.IOException

  Specified by:
    `setConfigFileName` in interface `TransactionManagerServiceMBean`

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.